apiVersion: v1
kind: Service
metadata:
  labels:
    app: catalog
    version: green
  name: catalog-green
spec:
  ports:
  - port: 8080
    protocol: TCP
    targetPort: 8080
  selector:
    app: catalog
    version: green
